Revokes the current account's authorizations and refresh tokens for all third-party OAuth client applications.

DELETEhttps://api.awork.com/api/v1/accounts/me/authorizedclients
DELETE https://api.awork.com/api/v1/accounts/me/authorizedclients

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

revokedClientCountintegerOptional
format: int32

The number of client applications whose grants were revoked.

revokedRefreshTokenCountintegerOptional
format: int64

The number of refresh tokens marked as revoked.

204 No Content
401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation